Console (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.ui
[Java] Class Console

    java.lang.Object
      groovy.ui.Console
          grails.ui.Console

    public class Console
    extends groovy.ui.Console

Extends regular Groovy console and bootstraps Grails environment before launch to allow interaction with the Grails domain model.

Authors:
  Graeme Rocher

Since:
  0.2

Field Summary

Fields inherited from class groovy.ui.Console
ICON_PATH, NODE_ICON_PATH, __$stMC, __timeStamp, __timeStamp__239_neverHappen1365762908889

Constructor Summary
`Console(java.lang.ClassLoader parent, groovy.lang.Binding binding)`

Method Summary
`static void` | `main(java.lang.String... args)`

Methods inherited from class groovy.ui.Console
groovy.ui.Console#componentResized(java.awt.event.ComponentEvent), groovy.ui.Console#componentMoved(java.awt.event.ComponentEvent), groovy.ui.Console#componentShown(java.awt.event.ComponentEvent), groovy.ui.Console#componentHidden(java.awt.event.ComponentEvent), groovy.ui.Console#focusGained(java.awt.event.FocusEvent), groovy.ui.Console#focusLost(java.awt.event.FocusEvent), groovy.ui.Console#getShell(), groovy.ui.Console#getMetaClass(), groovy.ui.Console#setMetaClass(groovy.lang.MetaClass), groovy.ui.Console#main([Ljava.lang.String;), groovy.ui.Console#run(), groovy.ui.Console#run(javax.swing.JApplet), groovy.ui.Console#run(java.util.Map), groovy.ui.Console#exit(java.util.EventObject), groovy.ui.Console#exit(), groovy.ui.Console#setProperty(java.lang.String, java.lang.Object), groovy.ui.Console#getProperty(java.lang.String), groovy.ui.Console#invokeMethod(java.lang.String, java.lang.Object), groovy.ui.Console#getConfig(), groovy.ui.Console#__$swapInit(), groovy.ui.Console#super$1$notify(), groovy.ui.Console#super$1$notifyAll(), groovy.ui.Console#super$1$clone(), groovy.ui.Console#super$1$wait(long), groovy.ui.Console#super$1$wait(long, int), groovy.ui.Console#super$1$wait(), groovy.ui.Console#super$1$getClass(), groovy.ui.Console#super$1$finalize(), groovy.ui.Console#super$1$equals(java.lang.Object), groovy.ui.Console#super$1$hashCode(), groovy.ui.Console#findNext(), groovy.ui.Console#findNext(java.util.EventObject), groovy.ui.Console#setHistory(java.util.List), groovy.ui.Console#replace(), groovy.ui.Console#replace(java.util.EventObject), groovy.ui.Console#find(), groovy.ui.Console#find(java.util.EventObject), groovy.ui.Console#print(java.util.EventObject), groovy.ui.Console#print(), groovy.ui.Console#copy(java.util.EventObject), groovy.ui.Console#copy(), groovy.ui.Console#isDirty(), groovy.ui.Console#setVariable(java.lang.String, java.lang.Object), groovy.ui.Console#runScript(), groovy.ui.Console#runScript(java.util.EventObject), groovy.ui.Console#this$dist$invoke$1(java.lang.String, java.lang.Object), groovy.ui.Console#this$dist$set$1(java.lang.String, java.lang.Object), groovy.ui.Console#this$dist$get$1(java.lang.String), groovy.ui.Console#super$1$toString(), groovy.ui.Console#getFrame(), groovy.ui.Console#getHistory(), groovy.ui.Console#compileScript(java.util.EventObject), groovy.ui.Console#compileScript(), groovy.ui.Console#selectAll(java.util.EventObject), groovy.ui.Console#selectAll(), groovy.ui.Console#getScriptFile(), groovy.ui.Console#setScriptFile(java.lang.Object), groovy.ui.Console#undo(java.util.EventObject), groovy.ui.Console#undo(), groovy.ui.Console#redo(java.util.EventObject), groovy.ui.Console#redo(), groovy.ui.Console#beep(), groovy.ui.Console#paste(java.util.EventObject), groovy.ui.Console#paste(), groovy.ui.Console#addToHistory(java.lang.Object), groovy.ui.Console#cut(java.util.EventObject), groovy.ui.Console#cut(), groovy.ui.Console#captureStdOut(java.util.EventObject), groovy.ui.Console#captureStdErr(java.util.EventObject), groovy.ui.Console#fullStackTraces(java.util.EventObject), groovy.ui.Console#showScriptInOutput(java.util.EventObject), groovy.ui.Console#visualizeScriptResults(java.util.EventObject), groovy.ui.Console#showToolbar(java.util.EventObject), groovy.ui.Console#detachedOutput(java.util.EventObject), groovy.ui.Console#autoClearOutput(java.util.EventObject), groovy.ui.Console#newScript(java.lang.ClassLoader, groovy.lang.Binding), groovy.ui.Console#bindResults(), groovy.ui.Console#installInterceptor(), groovy.ui.Console#notifySystemOut(java.lang.String), groovy.ui.Console#notifySystemErr(java.lang.String), groovy.ui.Console#appendOutput(javax.swing.Icon, javax.swing.text.AttributeSet), groovy.ui.Console#appendOutput(java.lang.String, javax.swing.text.AttributeSet), groovy.ui.Console#appendOutput(java.awt.Window, javax.swing.text.AttributeSet), groovy.ui.Console#appendOutput(java.lang.Object, javax.swing.text.AttributeSet), groovy.ui.Console#appendOutput(java.awt.Component, javax.swing.text.AttributeSet), groovy.ui.Console#appendStacktrace(java.lang.Object), groovy.ui.Console#appendOutputNl(java.lang.Object, java.lang.Object), groovy.ui.Console#appendOutputLines(java.lang.Object, java.lang.Object), groovy.ui.Console#askToSaveFile(), groovy.ui.Console#fileSave(), groovy.ui.Console#fileSave(java.util.EventObject), groovy.ui.Console#getLastResult(), groovy.ui.Console#threadInterruption(java.util.EventObject), groovy.ui.Console#caretUpdate(javax.swing.event.CaretEvent), groovy.ui.Console#setRowNumAndColNum(), groovy.ui.Console#setRowNumAndColNum(javax.swing.JLabel), groovy.ui.Console#clearOutput(java.util.EventObject), groovy.ui.Console#clearOutput(), groovy.ui.Console#askToInterruptScript(), groovy.ui.Console#doInterrupt(java.util.EventObject), groovy.ui.Console#doInterrupt(), groovy.ui.Console#fileNewFile(), groovy.ui.Console#fileNewFile(java.util.EventObject), groovy.ui.Console#setDirty(boolean), groovy.ui.Console#fileNewWindow(), groovy.ui.Console#fileNewWindow(java.util.EventObject), groovy.ui.Console#fileOpen(java.util.EventObject), groovy.ui.Console#fileOpen(), groovy.ui.Console#selectFilename(), groovy.ui.Console#selectFilename(java.lang.Object), groovy.ui.Console#loadScriptFile(java.io.File), groovy.ui.Console#fileSaveAs(java.util.EventObject), groovy.ui.Console#fileSaveAs(), groovy.ui.Console#finishException(java.lang.Throwable, boolean), groovy.ui.Console#showOutputWindow(java.util.EventObject), groovy.ui.Console#showOutputWindow(), groovy.ui.Console#finishNormal(java.lang.Object), groovy.ui.Console#compileFinishNormal(), groovy.ui.Console#historyNext(java.util.EventObject), groovy.ui.Console#historyNext(), groovy.ui.Console#historyPrev(), groovy.ui.Console#historyPrev(java.util.EventObject), groovy.ui.Console#inspectLast(), groovy.ui.Console#inspectLast(java.util.EventObject), groovy.ui.Console#inspectVariables(java.util.EventObject), groovy.ui.Console#inspectVariables(), groovy.ui.Console#inspectAst(java.util.EventObject), groovy.ui.Console#inspectAst(), groovy.ui.Console#largerFont(java.util.EventObject), groovy.ui.Console#largerFont(), groovy.ui.Console#runSelectedScript(), groovy.ui.Console#runSelectedScript(java.util.EventObject), groovy.ui.Console#addClasspathJar(), groovy.ui.Console#addClasspathJar(java.util.EventObject), groovy.ui.Console#addClasspathDir(), groovy.ui.Console#addClasspathDir(java.util.EventObject), groovy.ui.Console#clearContext(), groovy.ui.Console#clearContext(java.util.EventObject), groovy.ui.Console#updateTitle(), groovy.ui.Console#showAbout(), groovy.ui.Console#showAbout(java.util.EventObject), groovy.ui.Console#findPrevious(), groovy.ui.Console#findPrevious(java.util.EventObject), groovy.ui.Console#showMessage(java.lang.String), groovy.ui.Console#showExecutingMessage(), groovy.ui.Console#showCompilingMessage(), groovy.ui.Console#hideOutputWindow(java.util.EventObject), groovy.ui.Console#hideOutputWindow(), groovy.ui.Console#hideAndClearOutputWindow(java.util.EventObject), groovy.ui.Console#hideAndClearOutputWindow(), groovy.ui.Console#smallerFont(), groovy.ui.Console#smallerFont(java.util.EventObject), groovy.ui.Console#invokeTextAction(java.lang.Object, java.lang.Object, java.lang.Object), groovy.ui.Console#invokeTextAction(java.lang.Object, java.lang.Object), groovy.ui.Console#hyperlinkUpdate(javax.swing.event.HyperlinkEvent), groovy.ui.Console#getDEFAULT_SCRIPT_NAME_START(), groovy.ui.Console#getCaptureStdOut(), groovy.ui.Console#isCaptureStdOut(), groovy.ui.Console#setCaptureStdOut(boolean), groovy.ui.Console#getCaptureStdErr(), groovy.ui.Console#isCaptureStdErr(), groovy.ui.Console#setCaptureStdErr(boolean), groovy.ui.Console#getConsoleControllers(), groovy.ui.Console#setConsoleControllers(java.lang.Object), groovy.ui.Console#getFullStackTraces(), groovy.ui.Console#isFullStackTraces(), groovy.ui.Console#setFullStackTraces(boolean), groovy.ui.Console#getFullStackTracesAction(), groovy.ui.Console#setFullStackTracesAction(javax.swing.Action), groovy.ui.Console#getShowScriptInOutput(), groovy.ui.Console#isShowScriptInOutput(), groovy.ui.Console#setShowScriptInOutput(boolean), groovy.ui.Console#getShowScriptInOutputAction(), groovy.ui.Console#setShowScriptInOutputAction(javax.swing.Action), groovy.ui.Console#getVisualizeScriptResults(), groovy.ui.Console#isVisualizeScriptResults(), groovy.ui.Console#setVisualizeScriptResults(boolean), groovy.ui.Console#getVisualizeScriptResultsAction(), groovy.ui.Console#setVisualizeScriptResultsAction(javax.swing.Action), groovy.ui.Console#getShowToolbar(), groovy.ui.Console#isShowToolbar(), groovy.ui.Console#setShowToolbar(boolean), groovy.ui.Console#getToolbar(), groovy.ui.Console#setToolbar(java.awt.Component), groovy.ui.Console#getShowToolbarAction(), groovy.ui.Console#setShowToolbarAction(javax.swing.Action), groovy.ui.Console#getDetachedOutput(), groovy.ui.Console#isDetachedOutput(), groovy.ui.Console#setDetachedOutput(boolean), groovy.ui.Console#getDetachedOutputAction(), groovy.ui.Console#setDetachedOutputAction(javax.swing.Action), groovy.ui.Console#getShowOutputWindowAction(), groovy.ui.Console#setShowOutputWindowAction(javax.swing.Action), groovy.ui.Console#getHideOutputWindowAction1(), groovy.ui.Console#setHideOutputWindowAction1(javax.swing.Action), groovy.ui.Console#getHideOutputWindowAction2(), groovy.ui.Console#setHideOutputWindowAction2(javax.swing.Action), groovy.ui.Console#getHideOutputWindowAction3(), groovy.ui.Console#setHideOutputWindowAction3(javax.swing.Action), groovy.ui.Console#getHideOutputWindowAction4(), groovy.ui.Console#setHideOutputWindowAction4(javax.swing.Action), groovy.ui.Console#getOrigDividerSize(), groovy.ui.Console#setOrigDividerSize(int), groovy.ui.Console#getOutputWindow(), groovy.ui.Console#setOutputWindow(java.awt.Component), groovy.ui.Console#getCopyFromComponent(), groovy.ui.Console#setCopyFromComponent(java.awt.Component), groovy.ui.Console#getBlank(), groovy.ui.Console#setBlank(java.awt.Component), groovy.ui.Console#getScrollArea(), groovy.ui.Console#setScrollArea(java.awt.Component), groovy.ui.Console#getAutoClearOutput(), groovy.ui.Console#isAutoClearOutput(), groovy.ui.Console#setAutoClearOutput(boolean), groovy.ui.Console#getAutoClearOutputAction(), groovy.ui.Console#setAutoClearOutputAction(javax.swing.Action), groovy.ui.Console#getThreadInterrupt(), groovy.ui.Console#isThreadInterrupt(), groovy.ui.Console#setThreadInterrupt(boolean), groovy.ui.Console#getThreadInterruptAction(), groovy.ui.Console#setThreadInterruptAction(javax.swing.Action), groovy.ui.Console#getMaxHistory(), groovy.ui.Console#setMaxHistory(int), groovy.ui.Console#getMaxOutputChars(), groovy.ui.Console#setMaxOutputChars(int), groovy.ui.Console#getSwing(), groovy.ui.Console#setSwing(groovy.swing.SwingBuilder), groovy.ui.Console#setFrame(javax.swing.RootPaneContainer), groovy.ui.Console#getInputEditor(), groovy.ui.Console#setInputEditor(groovy.ui.ConsoleTextEditor), groovy.ui.Console#getSplitPane(), groovy.ui.Console#setSplitPane(javax.swing.JSplitPane), groovy.ui.Console#getInputArea(), groovy.ui.Console#setInputArea(javax.swing.JTextPane), groovy.ui.Console#getOutputArea(), groovy.ui.Console#setOutputArea(javax.swing.JTextPane), groovy.ui.Console#getStatusLabel(), groovy.ui.Console#setStatusLabel(javax.swing.JLabel), groovy.ui.Console#getRowNumAndColNum(), groovy.ui.Console#getRootElement(), groovy.ui.Console#setRootElement(javax.swing.text.Element), groovy.ui.Console#getCursorPos(), groovy.ui.Console#setCursorPos(int), groovy.ui.Console#getRowNum(), groovy.ui.Console#setRowNum(int), groovy.ui.Console#getColNum(), groovy.ui.Console#setColNum(int), groovy.ui.Console#getPromptStyle(), groovy.ui.Console#setPromptStyle(javax.swing.text.Style), groovy.ui.Console#getCommandStyle(), groovy.ui.Console#setCommandStyle(javax.swing.text.Style), groovy.ui.Console#getOutputStyle(), groovy.ui.Console#setOutputStyle(javax.swing.text.Style), groovy.ui.Console#getStacktraceStyle(), groovy.ui.Console#setStacktraceStyle(javax.swing.text.Style), groovy.ui.Console#getHyperlinkStyle(), groovy.ui.Console#setHyperlinkStyle(javax.swing.text.Style), groovy.ui.Console#getResultStyle(), groovy.ui.Console#setResultStyle(javax.swing.text.Style), groovy.ui.Console#getHistoryIndex(), groovy.ui.Console#setHistoryIndex(int), groovy.ui.Console#getPendingRecord(), groovy.ui.Console#setPendingRecord(groovy.ui.HistoryRecord), groovy.ui.Console#getPrevHistoryAction(), groovy.ui.Console#setPrevHistoryAction(javax.swing.Action), groovy.ui.Console#getNextHistoryAction(), groovy.ui.Console#setNextHistoryAction(javax.swing.Action), groovy.ui.Console#getDirty(), groovy.ui.Console#getSaveAction(), groovy.ui.Console#setSaveAction(javax.swing.Action), groovy.ui.Console#getTextSelectionStart(), groovy.ui.Console#setTextSelectionStart(int), groovy.ui.Console#getTextSelectionEnd(), groovy.ui.Console#setTextSelectionEnd(int), groovy.ui.Console#getCurrentFileChooserDir(), groovy.ui.Console#setCurrentFileChooserDir(java.io.File), groovy.ui.Console#getCurrentClasspathJarDir(), groovy.ui.Console#setCurrentClasspathJarDir(java.io.File), groovy.ui.Console#getCurrentClasspathDir(), groovy.ui.Console#setCurrentClasspathDir(java.io.File), groovy.ui.Console#setConfig(org.codehaus.groovy.control.CompilerConfiguration), groovy.ui.Console#setShell(groovy.lang.GroovyShell), groovy.ui.Console#getScriptNameCounter(), groovy.ui.Console#setScriptNameCounter(int), groovy.ui.Console#getSystemOutInterceptor(), groovy.ui.Console#setSystemOutInterceptor(groovy.ui.SystemOutputInterceptor), groovy.ui.Console#getSystemErrorInterceptor(), groovy.ui.Console#setSystemErrorInterceptor(groovy.ui.SystemOutputInterceptor), groovy.ui.Console#getRunThread(), groovy.ui.Console#setRunThread(java.lang.Thread), groovy.ui.Console#getBeforeExecution(), groovy.ui.Console#setBeforeExecution(groovy.lang.Closure), groovy.ui.Console#getAfterExecution(), groovy.ui.Console#setAfterExecution(groovy.lang.Closure), groovy.ui.Console#getInterruptAction(), groovy.ui.Console#setInterruptAction(javax.swing.Action), groovy.ui.Console#getFrameConsoleDelegates(), groovy.ui.Console#setFrameConsoleDelegates(java.lang.Object), groovy.ui.Console#this$2$nativeFullScreenForMac(java.awt.Window), groovy.ui.Console#this$2$ensureNoDocLengthOverflow(java.lang.Object), groovy.ui.Console#this$2$calcPreferredSize(java.lang.Object, java.lang.Object, java.lang.Object), groovy.ui.Console#this$2$reportException(java.lang.Throwable), groovy.ui.Console#this$2$prepareOutputWindow(), groovy.ui.Console#this$2$runScriptImpl(boolean), groovy.ui.Console#this$2$setInputTextFromHistory(java.lang.Object), groovy.ui.Console#this$2$updateHistoryActions(), groovy.ui.Console#this$2$updateFontSize(java.lang.Object), groovy.ui.Console#wait(), groovy.ui.Console#wait(long, int), groovy.ui.Console#wait(long), groovy.ui.Console#equals(java.lang.Object), groovy.ui.Console#toString(), groovy.ui.Console#hashCode(), groovy.ui.Console#getClass(), groovy.ui.Console#notify(), groovy.ui.Console#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Console

    public Console(java.lang.ClassLoader parent, groovy.lang.Binding binding)

Method Detail

### main

    @SuppressWarnings("rawtypes")
    public static void main(java.lang.String... args)

Groovy Documentation